MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025716Open CASCADE[OCCT] OCCT:WOKpublic2015-01-16 17:062015-05-14 15:33
Reporterdbv 
Assigned Todbv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025716: Part of WOK projects are generated as executable instead of library
DescriptionWhen generating project files for Visual Studio 2010 or later following WOK projects have application configuration type instead of dynamic library.

- wokcmd
- wokdeliverysteps
- wokdfltsteps
- wokobjssteps
- wokorbixsteps
- woksteps
- woktoolscmd
- wokutilscmd
Steps To Reproduce1. Generate Visual Studio 2010 (or later) project files for WOK.
2. Check configuration type for projects:
  - wokcmd
  - wokdeliverysteps
  - wokdfltsteps
  - wokobjssteps
  - wokorbixsteps
  - woksteps
  - woktoolscmd
  - wokutilscmd
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0036218)
dbv (developer)
2015-01-19 18:32

WOK now generates the correct project files.

occt-wok branch CR25716 is ready to be reviewed.

(0036280)
kgv (developer)
2015-01-20 18:08

Dear bugmaster,

patch looks OK, please test and integrate.
(0036304)
bugmaster (administrator)
2015-01-21 12:00
edited on: 2015-01-21 12:33

Fix has been tested. WOK projects generates libraries


- Issue History
Date Modified Username Field Change
2015-01-16 17:06 dbv New Issue
2015-01-16 17:06 dbv Assigned To => dbv
2015-01-19 18:28 dbv Status new => assigned
2015-01-19 18:32 dbv Note Added: 0036218
2015-01-19 18:32 dbv Assigned To dbv => kgv
2015-01-19 18:32 dbv Status assigned => resolved
2015-01-19 18:32 dbv Steps to Reproduce Updated View Revisions
2015-01-20 18:08 kgv Note Added: 0036280
2015-01-20 18:08 kgv Assigned To kgv => bugmaster
2015-01-20 18:08 kgv Status resolved => reviewed
2015-01-20 18:08 kgv Target Version => 6.9.0
2015-01-20 18:08 kgv Product Version 6.9.0 => 6.8.0
2015-01-20 18:11 kgv OS => VC++ 2010
2015-01-20 18:11 kgv Platform => Windows
2015-01-21 12:00 bugmaster Note Added: 0036304
2015-01-21 12:00 bugmaster Status reviewed => tested
2015-01-21 12:09 bugmaster Status tested => verified
2015-01-21 12:09 bugmaster Resolution open => fixed
2015-01-21 12:09 bugmaster Assigned To bugmaster => dbp
2015-01-21 12:19 kgv Assigned To dbp => dbv
2015-01-21 12:33 bugmaster Note Edited: 0036304 View Revisions
2015-05-14 15:29 aiv Status verified => closed
2015-05-14 15:33 aiv Fixed in Version => 6.9.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker